import AuthApi from './Api/AuthApi';
import QuoteApi from './Api/QuoteApi';
import PolicyApi from './Api/PolicyApi';
import DisclaimerApi from './Api/DisclaimerApi';
import ProductApi from './Api/ProductApi';
declare class Hiccup {
    static readonly ENV_TEST: string;
    static readonly ENV_LIVE: string;
    static readonly ENDPOINT_TEST: string;
    static readonly ENDPOINT_LIVE: string;
    static readonly STRIPE_PUBLIC_KEY_TEST: string;
    static readonly STRIPE_PUBLIC_KEY_LIVE: string;
    static readonly COUNTRY_CODE_AUSTRALIA: string;
    static readonly PRODUCT_RVE: string;
    static readonly PRODUCT_RVEI: string;
    readonly auth: AuthApi;
    readonly quote: QuoteApi;
    readonly policy: PolicyApi;
    readonly disclaimer: DisclaimerApi;
    readonly product: ProductApi;
    private httpConfig;
    private env;
    constructor(env: string, token: string);
    static getProductType(destination: string, residency?: string): string | null;
    getStripePublicKey(): string;
}
export default Hiccup;
export { Hiccup as client };
